import request from '@/utils/request';

export const listRoom = (query) => {
  return request({
    url: '/api/v1/rooms/list',
    method: 'get',
    params: query
  });
};

/**
 * 删除房间
 */
export const delRoom = (roomId,data) => {
  return request({
    url: '/api/v1/rooms/' + roomId,
    method: 'delete',
    params: data
  });
};

/**
 * 查询房间参与者列表 
 */
export const participantUserList = (query)=> {
  return request({
    url: '/api/v1/rooms/participants/list',
    method: 'get',
    params: query
  });
};


/**
 * 删除参与者信息
 */
export const delParticipant = (roomId,data) => {
    return request({
      url: '/api/v1/rooms/' + roomId +'/participants',
      method: 'delete',
      params: data
    });
  };

/**
 * 提出房间参与者
 */
export const removeParticipant = (roomId,data) => {
    return request({
      url: '/api/v1/meeting/' + roomId + '/participant/remove' ,
      method: 'post',
      data: data
    });
};

//静音 解除静音
export const muteParticipant = (roomId,data) => {
    return request({
      url: '/api/v1/meeting/' + roomId + '/participant/mute' ,
      method: 'post',
      data: data
    });
};






